@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@1,500&display=swap');

:root {
    --dark-green: hsl(120, 50%, 85%);
    --light-green: hsl(124, 100%, 95%);
    --dark-gray: hsl(0, 0%, 80%);
    --light-gray: hsl(0, 0%, 95%);
    --lighter-gray: hsl(0, 0%, 99%);
    --border-color: hsl(124, 100%, 15%);
}

html, body {
    min-height: 100%;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', Helvetica, sans-serif;
    background-color: var(--light-gray);
}

a {
    text-decoration: underline;
    color: black;
    transition: all .2s ease-in-out;
}

a:hover {
    font-size: 120%;
    transform: scale(1.2);
    font-weight: bold;
}

#main {
    background-color: var(--light-green, hsl(0, 0%, 95%));
    border-radius: 10px;
    max-width: 800px;
    height: 100%;
    margin: 10px auto;
    min-height: calc(100vh - 20px);
}

h1 {
    font-size: 36px;
    text-align: center;
    padding: 10px;
}

h2 {
    font-size: 18px;
    text-align: center;
}

#summary {
    color: hsl(0, 0%, 30%);
    margin: 20px;
}

#image {
    max-width: 30%;
    max-height: 75%;
    display: block;
}

#img-link {

}

figcaption {
    background-color: var(--light-gray, hsl(0, 0%, 80%));
    margin-top: 10px;
    padding: .5%;
    border-radius: 5px;
    align-self: stretch;
    text-align: center;
    color: hsl(124, 100%, 15%);
    border: solid 1px var(--border-color, hsl(124, 100%, 15%));
}

#img-div {
    border-radius: 5px;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
}

.card {
    border: solid 1px var(--border-color, hsl(124, 100%, 15%));
    border-radius: 5px;
    margin: 10px;
    padding: 10px;
    width: 300px;
    background-color: var(--lighter-gray, hsl(0, 0%, 99%));
    box-shadow: 10px 10px 30px hsl(120, 50%, 85%);
}

.wrap-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

#tribute-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

footer {
    height: 20px;
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 10px 0;
    background-color: var(--dark-green, hsl(120, 50%, 85%));
}
